% $Id: gen_infeas_lps.m 107 2006-11-23 01:52:47Z mpf $
%
% Create AMPL data files of the infeasible Netlib LPs.  The Matlab
% versions of the Netlib LPs are used.  These can be obtained from Tim
% Davis's website
% http://www.cise.ufl.edu/research/sparse/mat/LPnetlib/.  Be sure
% to modify the variable "netlib_dir" (below) to point to your own
% local installation of these .mat files.
%
% REFERENCE
% M. P. Friedlander
% Exact regularization of Linear Programs
% Dept of Computer Science Tech Rept TR-2005-31
% December 2005

netlib_dir = '/Users/mpf/local/LPnetlib/';

lps = {'lpi_bgdbg1'
       'lpi_bgetam'
       'lpi_bgindy'
       'lpi_bgprtr'
       'lpi_box1'
       'lpi_ceria3d'
       'lpi_chemcom'
       'lpi_cplex1'
       'lpi_cplex2'
       'lpi_ex72a'
       'lpi_ex73a'
       'lpi_forest6'
       'lpi_galenet'
       'lpi_gosh'
       'lpi_gran'
       'lpi_greenbea'
       'lpi_itest2'
       'lpi_itest6'
       'lpi_klein1'
       'lpi_klein2'
       'lpi_klein3'
       'lpi_mondou2'
       'lpi_pang'
       'lpi_pilot4i'
       'lpi_qual'
       'lpi_reactor'
       'lpi_refinery'
       'lpi_vol1'
       'lpi_woodinfe'
      };

for j = 1 : length(lps)

    clear Problem;
    lpname = lps{j};
    fprintf('%i: Generating problem %s\n', j, lpname );
    load( [netlib_dir  lpname  '.mat'] );
    fname = [lpname '.dat'];
    matlab2ampl( fname, lpname, Problem.A, Problem.b, Problem.c, ...
                 Problem.lo, Problem.hi, [] );
    
end
    
